import { defineComponent, openBlock, createElementBlock, createElementVNode, toDisplayString, unref } from 'vue';
import { storeToRefs } from 'pinia';
import '../../../../stores/index.mjs';
import { useThemeConfig } from '../../../../stores/themeConfig.mjs';

const _hoisted_1 = { class: "layout-footer mb5" };
const _hoisted_2 = { class: "layout-footer-warp" };
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    const storesThemeConfig = useThemeConfig();
    const { themeConfig } = storeToRefs(storesThemeConfig);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          createElementVNode(
            "div",
            null,
            toDisplayString(unref(themeConfig).globalTitle) + " " + toDisplayString(unref(themeConfig).copyright),
            1
            /* TEXT */
          )
        ])
      ]);
    };
  }
});

export { _sfc_main as default };
